Bug 231109 - Empty Server Libraries folder shows in Tools>>Libraries>>Libraries
Empty Server Libraries folder shows in Tools>>Libraries>>Libraries
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: Code
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: David Konecny
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 04:42 UTC by MackSix
Modified: 2013-07-26 07:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
7.3.1 RC has no Server Libraries folder. (145.02 KB, image/png)
2013-06-12 20:23 UTC, MackSix
Details
7.4 Dev has empty Server Libraries folder. (151.23 KB, image/png)
2013-06-12 20:24 UTC, MackSix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MackSix 2013-06-12 04:42:22 UTC
Tools>>Libraries>>Libraries>>Server Libraries folder was removed in 7.3.1.
Comment 1 Marian Mirilovic 2013-06-12 18:37:44 UTC
Screenshot please and reopen. Thanks in advance.
Comment 2 MackSix 2013-06-12 20:23:33 UTC
Created attachment 135720 [details]
7.3.1 RC has no Server Libraries folder.
Comment 3 MackSix 2013-06-12 20:24:30 UTC
Created attachment 135721 [details]
7.4 Dev has empty Server Libraries folder.
Comment 4 Petr Hejl 2013-07-12 13:11:28 UTC
That has been removed as confusing and useless afaik.
Comment 5 MackSix 2013-07-12 13:22:50 UTC
(In reply to comment #4)
> That has been removed as confusing and useless afaik.

I don't understand, when was it removed in 7.4? I still see it in the latest 7.4 beta and dev builds.
Comment 6 David Konecny 2013-07-15 03:04:46 UTC
This feature has been removed from NetBeans in 7.3.1. It was implemented on javaee7 branch as dc04c82aa7f4 but for some reason(!?) this change never made it into trunk. Wrong merge??

I'm fixing it now as 74ece0907d9e.

Thanks for reporting this.
Comment 7 Quality Engineering 2013-07-16 02:36:55 UTC
Integrated into 'main-silver', will be available in build *201307152300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/74ece0907d9e
User: David Konecny <dkonecny@netbeans.org>
Log: #231109 - Empty Server Libraries folder shows in Tools>>Libraries>>Libraries
Comment 8 MackSix 2013-07-26 07:51:30 UTC
Verified fixed in:


Product Version: NetBeans IDE Dev (Build 201307252300)
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b16
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo